Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface Entity

All Known Implementing Classes:
  EntityImpl

public interface Entity
extends Node

This interface represents an entity, either parsed or unparsed, in an XML document. Note that this models the entity itself not the entity declaration. `Entity` declaration modeling has been left for a later Level of the DOM specification.

The `nodeName` attribute that is inherited from `Node` contains the name of the entity.

An XML processor may choose to completely expand entities before the structure model is passed to the DOM; in this case there will be no `EntityReference` nodes in the document tree.

XML does not mandate that a non-validating XML processor read and process entity declarations made in the external subset or declared in external parameter entities. This means that parsed entities declared in the external subset need not be expanded by some classes of applications, and that the replacement value of the entity may not be available. When the replacement value is available, the corresponding `Entity` node's child list represents the structure of that replacement text. Otherwise, the child list is empty.

The DOM Level 2 does not support editing `Entity` nodes; if a user wants to make changes to the contents of an `Entity` , every related `EntityReference` node has to be replaced in the structure model by a clone of the `Entity` 's contents, and then the desired changes must be made to each of those clones instead. All the descendants of an `Entity` node are readonly.

An `Entity` node does not have any parent. If the entity contains an unbound namespace prefix , the `namespaceURI` of the corresponding node in the `Entity` node subtree is `null` . The same is true for `EntityReference` nodes that refer to this entity, when they are created using the `createEntityReference` method of the `Document` interface. The DOM Level 2 does not support any mechanism to resolve namespace prefixes.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getNotationName()` For unparsed entities, the name of the notation for the entity.
`java.lang.String` | `getPublicId()` The public identifier associated with the entity, if specified.
`java.lang.String` | `getSystemId()` The system identifier associated with the entity, if specified.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports`

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  The public identifier associated with the entity, if specified. If the public identifier was not specified, this is `null` .

### getSystemId

    public java.lang.String getSystemId()

  The system identifier associated with the entity, if specified. If the system identifier was not specified, this is `null` .

### getNotationName

    public java.lang.String getNotationName()

  For unparsed entities, the name of the notation for the entity. For parsed entities, this is `null` .

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD